package com.bonus.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.bonus.core.common.utils.SysUtil;

import java.io.Serializable;

@ApiModel("菜品标签分页返回")
public class MenuMaterialBasVO implements Serializable {
   @ApiModelProperty("食材id")
   private Long materialId;
   @ApiModelProperty("食材名称")
   private String materialName;
   @ApiModelProperty("原料编号")
   private String materialCode;
   @ApiModelProperty("食材重量(g)")
   private Double weight;
   @ApiModelProperty("材料类型(1主料,2辅料,3配料)")
   private Integer materialType;
   @ApiModelProperty("大类")
   private String bigType;
   @ApiModelProperty("小类")
   private String littleType;
   @ApiModelProperty("原料图片")
   private String imageUrl;

   public void setImageUrl(String imageUrl) {
      this.imageUrl = SysUtil.getCutPath(imageUrl);
   }

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public Double getWeight() {
      return this.weight;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public String getBigType() {
      return this.bigType;
   }

   public String getLittleType() {
      return this.littleType;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setWeight(final Double weight) {
      this.weight = weight;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setBigType(final String bigType) {
      this.bigType = bigType;
   }

   public void setLittleType(final String littleType) {
      this.littleType = littleType;
   }

}
